summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap')
-rw-r--r--source/xap/xaos/slack-desc2
-rwxr-xr-xsource/xap/xaos/xaos.SlackBuild13
-rw-r--r--source/xap/xaos/xaos.x86.registers.diff22
3 files changed, 7 insertions, 30 deletions
diff --git a/source/xap/xaos/slack-desc b/source/xap/xaos/slack-desc
index a370dddd9..3977fed41 100644
--- a/source/xap/xaos/slack-desc
+++ b/source/xap/xaos/slack-desc
@@ -14,6 +14,6 @@ xaos: the user to smoothly zoom in or out of a fractal. Other features
xaos: include autopilot mode, palette changing, PNG saving, and fractal
xaos: inversion.
xaos:
-xaos: Visit XaoS online: http://xaos.sf.net
+xaos: Homepage: https://github.com/xaos-project/XaoS
xaos:
xaos:
diff --git a/source/xap/xaos/xaos.SlackBuild b/source/xap/xaos/xaos.SlackBuild
index 627d45412..7f901ed2e 100755
--- a/source/xap/xaos/xaos.SlackBuild
+++ b/source/xap/xaos/xaos.SlackBuild
@@ -61,8 +61,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xaos
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+SRCNAM=XaoS-release
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -103,11 +104,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION || exit 1
-
-zcat $CWD/xaos.x86.registers.diff.gz | patch -p1 --verbose || exit 1
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
diff --git a/source/xap/xaos/xaos.x86.registers.diff b/source/xap/xaos/xaos.x86.registers.diff
deleted file mode 100644
index 12d11aba6..000000000
--- a/source/xap/xaos/xaos.x86.registers.diff
+++ /dev/null
@@ -1,22 +0,0 @@
---- ./src/engine/zoom.c.orig 2013-11-01 02:54:21.000000000 -0500
-+++ ./src/engine/zoom.c 2015-04-05 00:38:10.332028884 -0500
-@@ -933,6 +933,7 @@
- }
-
- #ifndef USE_i386ASM
-+REGISTERS(0)
- static /*INLINE */ void
- moveoldpoints(void /*@unused@ */ *data1,
- struct taskinfo /*@unused@ */ *task,
---- ./src/engine/zoomd.c.orig 2013-11-01 02:54:21.000000000 -0500
-+++ ./src/engine/zoomd.c 2015-04-05 00:38:55.436032139 -0500
-@@ -280,7 +280,8 @@
- #endif
- #undef bpp1
-
--static INLINE void fillline(int line)
-+REGISTERS(0)
-+static void fillline(int line)
- {
- register unsigned char *RESTRICT vbuff = cimage.currlines[line];
- const struct filltable *RESTRICT table = (struct filltable *) tmpdata;